
From: Richard Purdie <rpurdie@rpsys.net>

The pcmcia-move-pcmcia-ioctl-to-a-separate-file patch was corrupted in -mm2
causing this problem.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pcmcia/ds.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/pcmcia/ds.c~pcmcia-move-pcmcia-ioctl-to-a-separate-file-fix drivers/pcmcia/ds.c
--- 25/drivers/pcmcia/ds.c~pcmcia-move-pcmcia-ioctl-to-a-separate-file-fix	2005-05-31 02:44:45.000000000 -0700
+++ 25-akpm/drivers/pcmcia/ds.c	2005-05-31 02:44:45.000000000 -0700
@@ -1257,6 +1257,9 @@ static int __init init_pcmcia_bus(void)
 
 	bus_register(&pcmcia_bus_type);
 	class_interface_register(&pcmcia_bus_interface);
+
+	pcmcia_setup_ioctl();
+
 	return 0;
 }
 fs_initcall(init_pcmcia_bus); /* one level after subsys_initcall so that 
@@ -1270,7 +1273,6 @@ static void __exit exit_pcmcia_bus(void)
 	class_interface_unregister(&pcmcia_bus_interface);
 
 	bus_unregister(&pcmcia_bus_type);
- 	pcmcia_setup_ioctl();
 }
 module_exit(exit_pcmcia_bus);
 
_
